services:
  sdnext-ipex:
    image: liutyi/sdnext-ipex:master
    container_name: sdnext-ipex
    restart: unless-stopped
    devices:
      - /dev/dri:/dev/dri
      #- /dev/accel:/dev/accel
    environment:
      #- https_proxy=http://proxy.example.com:3128/
      #- HF_TOKEN=""
      #- HF_INFERENCE_ENDPOINT="https://api-inference.huggingface.co"
      - HF_HUB_VERBOSITY="debug"
      - HF_DEBUG=True

    ports:
      - 7860:7860
    volumes:
      - sdnext-app-volume:/app
      - sdnext-mnt-volume:/mnt
      - sdnext-huggingface-volume:/root/.cache/huggingface
      - /dev/shm:/dev/shm
volumes:
  sdnext-app-volume: {}
  sdnext-mnt-volume: {}
  sdnext-huggingface-volume: {}      

